Subject: Re: Win32 Apps?
From: [email-masked] (Axel Riese)

9 Feb 1998 01:30:03 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 8bit
To: [email-masked] (GNU-Win32)

> Does anyone out there have any idea what's causing this? 
> 
> //D/CygWin/b18/H-i386-cygwin32/i386-cygwin32/bin/ld.exe: warning: cannot
> find entry symbol _WinMainCRTStartup; defaulting to 00401000
> 
> I took a hello world program from a VC++ I've got and compiled it with GCC
> using the options -luser32 -lgdi32 -Wl,--subsystem,windows  to remove the
> dos box, and I got this warning. The program executes fine, but I'm trying
> to ciphen out all of the warnings and such from some of my code. I've seen
> mentions to removing the dos box, and compiling win32 apps under GCC, but I
> never saw mention as to what this means. Can anyone help me? (Hello.cpp
> file is at the end)
 
Yes, there is a workaround for this. Just replace the -Wl option by

    -Wl,--subsystem,windows,-e,_mainCRTStartup 

to get rid of this warning.

- Axel

===========================================================================
Axel Riese
Research Institute for Symbolic Computation
J. Kepler University Linz
A-4040 Linz                          e-Mail: [email-masked]
Austria             URL: http://www.risc.uni-linz.ac.at/people/ariese/home/
===========================================================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".